org.apache.maven.scm.provider.clearcase.command.unedit

## Class ClearCaseUnEditConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.clearcase.command.unedit.ClearCaseUnEditConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class ClearCaseUnEditConsumer
    extends Object
    implements org.codehaus.plexus.util.cli.StreamConsumer

Version:
  $Id: ClearCaseUnEditConsumer.java 770340 2009-04-30 17:34:27Z olamy $
Author:
  Wim Deblauwe

### Constructor Summary

Constructors
Constructor and Description
`ClearCaseUnEditConsumer(ScmLogger logger)`

### Method Summary

Methods
`void` `consumeLine(String line)`
`List` `getUnEditFiles()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClearCaseUnEditConsumer

    public ClearCaseUnEditConsumer(ScmLogger logger)

### Method Detail

#### consumeLine

    public void consumeLine(String line)

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`

#### getUnEditFiles

    public List getUnEditFiles()